sailpoint.object

## Class ProvisioningPlan

- java.lang.Object
- - AbstractXmlObject
  - - sailpoint.object.ProvisioningPlan

    public class ProvisioningPlan
    extends AbstractXmlObject

### Nested Class Summary

Nested Classes
`static class` `ProvisioningPlan.AccountRequest`
`static class` `ProvisioningPlan.AttributeRequest`
`static class` `ProvisioningPlan.ObjectOperation`
`static class` `ProvisioningPlan.Operation`

### Field Summary

Fields
`static java.lang.String` `APP_IIQ`
`static java.lang.Object` `ATT_ASSIGNED_SCOPE`
`static java.lang.String` `ATT_ATTRIBUTE_NAME`
`static java.lang.String` `ATT_IIQ_PASSWORD` Deprecated.
`static java.lang.String` `ATT_OBJECT_APPLICATION`
`static java.lang.String` `ATT_OBJECT_ARGUMENTS`
`static java.lang.String` `ATT_OBJECT_ATTRIBUTES`
`static java.lang.String` `ATT_OP`
`static java.lang.String` `ATT_PERMISSION_RIGHTS`
`static java.lang.String` `ATT_PERMISSION_TARGET`
`static java.lang.String` `ATT_REQUEST_ARGUMENTS`
`static java.lang.String` `IIQ_APPLICATION_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ProvisioningPlan()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `add(ProvisioningPlan.AccountRequest account)`
`ProvisioningPlan.AccountRequest` `add(java.lang.String appname, java.lang.String identity, ProvisioningPlan.AccountRequest.Operation op)`
`ProvisioningPlan.AccountRequest` `add(java.lang.String appname, java.lang.String nativeIdentity, java.lang.String attname, ProvisioningPlan.Operation op, java.lang.Object value)`
`void` `addRequest(sailpoint.object.ProvisioningPlan.AbstractRequest req)`
`java.lang.Object` `get(java.lang.String name)`
`ProvisioningPlan.AccountRequest` `getAccountRequest(java.lang.String appname, java.lang.String instance, java.lang.String nativeIdentity)`
`java.util.List<ProvisioningPlan.AccountRequest>` `getAccountRequests()`
`java.util.List<ProvisioningPlan.AccountRequest>` `getAccountRequests(java.lang.String appname)`
`java.util.List<ProvisioningPlan.AccountRequest>` `getAccountRequests(java.lang.String appname, java.lang.String nativeIdentity)`
`Attributes<java.lang.String,java.lang.Object>` `getArguments()`
`java.lang.String` `getComments()`
`Identity` `getIdentity()`
`java.lang.String` `getNativeIdentity()`
`java.util.List<Identity>` `getRequesters()`
`java.lang.String` `getSource()`
`boolean` `isEmpty()`
`void` `put(java.lang.String name, java.lang.Object value)`
`void` `remove(ProvisioningPlan.AccountRequest account)`
`static void` `removeAll(java.util.List list, java.util.List values, boolean nocase)`
`void` `setAccountRequests(java.util.List<ProvisioningPlan.AccountRequest> reqs)`
`void` `setArguments(Attributes<java.lang.String,java.lang.Object> atts)`
`void` `setComments(java.lang.String c)`
`void` `setNativeIdentity(java.lang.String s)`
`void` `setResult(ProvisioningResult r)`
`void` `setTargetIntegration(java.lang.String name)`
`java.util.Map` `toMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### APP_IIQ

    public static final java.lang.String APP_IIQ

See Also:
  Constant Field Values

#### IIQ_APPLICATION_NAME

    public static final java.lang.String IIQ_APPLICATION_NAME

See Also:
  Constant Field Values

#### ATT_IIQ_PASSWORD

    @Deprecated
    public static final java.lang.String ATT_IIQ_PASSWORD

Deprecated.

See Also:
  Constant Field Values

#### ATT_ASSIGNED_SCOPE

    public static java.lang.Object ATT_ASSIGNED_SCOPE

#### ATT_OP

    public static final java.lang.String ATT_OP

See Also:
  Constant Field Values

#### ATT_OBJECT_APPLICATION

    public static final java.lang.String ATT_OBJECT_APPLICATION

See Also:
  Constant Field Values

#### ATT_OBJECT_ATTRIBUTES

    public static final java.lang.String ATT_OBJECT_ATTRIBUTES

See Also:
  Constant Field Values

#### ATT_OBJECT_ARGUMENTS

    public static final java.lang.String ATT_OBJECT_ARGUMENTS

See Also:
  Constant Field Values

#### ATT_ATTRIBUTE_NAME

    public static final java.lang.String ATT_ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### ATT_PERMISSION_TARGET

    public static final java.lang.String ATT_PERMISSION_TARGET

See Also:
  Constant Field Values

#### ATT_PERMISSION_RIGHTS

    public static final java.lang.String ATT_PERMISSION_RIGHTS

See Also:
  Constant Field Values

#### ATT_REQUEST_ARGUMENTS

    public static final java.lang.String ATT_REQUEST_ARGUMENTS

See Also:
  Constant Field Values

### Constructor Detail

#### ProvisioningPlan

    public ProvisioningPlan()

### Method Detail

#### add

    public void add(ProvisioningPlan.AccountRequest account)

#### remove

    public void remove(ProvisioningPlan.AccountRequest account)

#### addRequest

    public void addRequest(sailpoint.object.ProvisioningPlan.AbstractRequest req)

#### setAccountRequests

    public void setAccountRequests(java.util.List<ProvisioningPlan.AccountRequest> reqs)

#### getAccountRequests

    public java.util.List<ProvisioningPlan.AccountRequest> getAccountRequests()

#### isEmpty

    public boolean isEmpty()

#### getRequesters

    public java.util.List<Identity> getRequesters()

#### getComments

    public java.lang.String getComments()

#### setComments

    public void setComments(java.lang.String c)

#### getSource

    public java.lang.String getSource()

#### getIdentity

    public Identity getIdentity()

#### getNativeIdentity

    public java.lang.String getNativeIdentity()

#### setNativeIdentity

    public void setNativeIdentity(java.lang.String s)

#### getArguments

    public Attributes<java.lang.String,java.lang.Object> getArguments()

#### setArguments

    public void setArguments(Attributes<java.lang.String,java.lang.Object> atts)

#### setTargetIntegration

    public void setTargetIntegration(java.lang.String name)

#### setResult

    public void setResult(ProvisioningResult r)

#### add

    public ProvisioningPlan.AccountRequest add(java.lang.String appname,
                                               java.lang.String identity,
                                               ProvisioningPlan.AccountRequest.Operation op)

#### add

    public ProvisioningPlan.AccountRequest add(java.lang.String appname,
                                               java.lang.String nativeIdentity,
                                               java.lang.String attname,
                                               ProvisioningPlan.Operation op,
                                               java.lang.Object value)

#### put

    public void put(java.lang.String name,
                    java.lang.Object value)

#### get

    public java.lang.Object get(java.lang.String name)

#### getAccountRequests

    public java.util.List<ProvisioningPlan.AccountRequest> getAccountRequests(java.lang.String appname)

#### getAccountRequests

    public java.util.List<ProvisioningPlan.AccountRequest> getAccountRequests(java.lang.String appname,
                                                                              java.lang.String nativeIdentity)

#### getAccountRequest

    public ProvisioningPlan.AccountRequest getAccountRequest(java.lang.String appname,
                                                             java.lang.String instance,
                                                             java.lang.String nativeIdentity)

#### toMap

    public java.util.Map toMap()

#### removeAll

    public static void removeAll(java.util.List list,
                                 java.util.List values,
                                 boolean nocase)